\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{archi}[1999]
\LoadClass[a4paper,11pt]{article}

\RequirePackage{theorem}
{
  \theoremstyle{break}
  \theorembodyfont{\rmfamily}
  \newtheorem{exercice}{Exercice}
}

\DeclareOption{correction}{\@correctiontrue}    
\newif\if@correction
\@correctionfalse

\ProcessOptions

\if@correction
  \newenvironment{solution}%
  {\par\noindent\begin{small}\slshape\textbf{Correction :}}%
  {\end{small}\par\smallskip}
\else
        \RequirePackage{verbatim}
        \let\solution\comment
        \let\endsolution\endcomment
\fi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PAGE LAYOUT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\setlength{\textwidth}{16cm}
\setlength{\textheight}{25cm}
\setlength{\topmargin}{-2.5cm}
\setlength{\evensidemargin}{0cm}
\setlength{\oddsidemargin}{0cm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Entete
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\entete}[2]{\begin{center}
  Universit Paris XI   \hfill 1er sem. 2000-2001\\
  Licence/FIIFO3/IUP3 - Architecture des ordinateurs       \hfill  #1 n$^\circ$ #2
                \if@correction (Correction)\else\relax\fi%
  \end{center}%
  \bigskip
}

\newcommand{\sujet}[1]
{\begin{center}{\LARGE{\bf #1}}\end{center}\bigskip}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Details...
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\AtBeginDocument{%
\renewcommand{\labelitemi}{$\bullet$}
\sloppy
\hbadness=5000
}
